Subject: bug#68807: 29.1; Can bindir used for emacsclient(-mail).desktop in Makefile.in be removed?

From: Lin Jian <[email-masked]>
Date: Tue, 06 Feb 2024 07:36:39 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Lin Jian <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 30 Jan 2024 22:08:47 +0800
>> 
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Yes, because the Emacs's upstream installation procedure installs
>> > emacsclient in ${bindir}.  So "our "make install" wants to make sure
>> > the desktop file will reference the correct emacsclient, not the one
>> > found first on PATH.
>> 
>> Since (I think) emacs and emacsclient are installed to the same
>> directory, why is not bindir used for emacs in *.desktop files?  Why are
>> emacs and emacsclient treated differently in *.desktop files?
>
> I don't know, but people have been committing changes to these files
> for many moons, so I guess there is some reason.  If you are really
> interested, try looking at the Git history of that, and then look up
> discussions here or on emacs-devel near the times of the changes.
>

The first patch introducing bindir to *.desktop files is [1].  However,
there is no motivation nor discussion of the bindir usage.

>> Is this a bug?
>
> Not likely, because this is AFAIK used by many users and distros.

I should have stated more clearly.  This is not that kind of bug which
causes problems when you run Emacs.  The unnecessary usage of bindir in
etc/emacsclient.desktop and etc/emacsclient-mail.desktop is inconsistent
with etc/emacs.desktop, which causes confusion for future readers of
Makefile.in.

[1]: https://lists.gnu.org/archive/cgi-bin/namazu.cgi?query=37847&submit=Search%21&idxname=bug-gnu-emacs&max=20&result=normal&sort=date%3Aearly